// material-ui
import {
    Grid,
    Typography,
    Stack
} from '@mui/material';
import MainCard from "components/MainCard";
import * as UrlUtils from "utils/ApiPathConst";
import * as HttpUtils from "utils/HttpUtils";
import * as React from "react";


import Loadable from 'components/Loadable';
const LoadingComponent = Loadable(React.lazy(() => import('pages/extra-pages/LoadingComponent')));
const SearchForm = Loadable(React.lazy(() => import('./SearchForm')));
const EventTable = Loadable(React.lazy(() => import('./DataGrid')));
import titleBackgroundImg from 'assets/images/dashboard/gazette-bar.png'

const BackgroundHead = {
    backgroundImage: `url(${titleBackgroundImg})`,
    width: '100%',
    height: '100%',
    backgroundSize: 'contain',
    backgroundRepeat: 'no-repeat',
    backgroundColor: '#0C489E',
    backgroundPosition: 'right'
}

// ==============================|| DASHBOARD - DEFAULT ||============================== //

const Index = () => {

    const [issueCombo, setIssueCombo] = React.useState([]);
    const [searchCriteria, setSearchCriteria] = React.useState({});
    const [onReady, setOnReady] = React.useState(false);

    // const [paymentCount, setPaymentCount] = React.useState(0);
    // const [publishCount, setPublishCount] = React.useState(0);

    React.useEffect(() => {
        getIssueCombo();
    }, []);

    React.useEffect(() => {
        setOnReady(true);
    }, [searchCriteria]);

    function getIssueCombo() {
        HttpUtils.get({
            url: UrlUtils.GET_ISSUE_COMBO,
            onSuccess: function (responseData) {
                let combo = responseData;
                setIssueCombo(combo);
            }
        });
    }


    function applySearch(input) {
        setSearchCriteria(input);
    }

    return (
        !onReady ?
            <LoadingComponent />
            :
            <Grid container sx={{ minHeight: '87vh', backgroundColor: 'backgroundColor.default' }} direction="column">
                <Grid item xs={12}>
                    <div style={BackgroundHead}>
                        <Stack direction="row" height='70px' justifyContent="flex-start" alignItems="center">
                            <Typography ml={15} color='#FFF' variant="h4" sx={{ "textShadow": "0px 0px 25px #0C489E" }}>
                                Export for GDN (Non Creditor) 
                            </Typography>
                        </Stack>
                    </div>
                </Grid>
                {/*row 1*/}
                <Grid item xs={12} md={12} lg={12} sx={{ mb: -1 }}>
                    <SearchForm
                        applySearch={applySearch}
                        issueComboData={issueCombo}
                        // _paymentCount={paymentCount}
                        // _publishCount={publishCount}
                    />
                </Grid>
                {/*row 2*/}
                <Grid item xs={12} md={12} lg={12}>
                    <MainCard elevation={0}
                        border={false}
                        content={false}
                    >
                        <EventTable
                            searchCriteria={searchCriteria}
                            // setPaymentCount={setPaymentCount}
                            // setPublishCount={setPublishCount}
                        />
                    </MainCard>
                </Grid>
            </Grid>
    );
};

export default Index;
